(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     95568,       3186]
NotebookOptionsPosition[     85747,       2867]
NotebookOutlinePosition[     86185,       2884]
CellTagsIndexPosition[     86142,       2881]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "Normale", " ", "au", " ", "plan", " ", "pyramidal", " ", "et", " ", 
    "point", " ", "y", " ", "appartenant"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"nPy", "=", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], "*", "\[Gamma]"}], ",", 
       RowBox[{"Sqrt", "[", "3", "]"}], ",", "0"}], "}"}], "/", 
     RowBox[{"Sqrt", "[", 
      RowBox[{
       RowBox[{"4", "*", 
        RowBox[{"\[Gamma]", "^", "2"}]}], "+", "3"}], "]"}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"rP", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"Sqrt", "[", "3", "]"}], "/", "6"}], ",", 
      RowBox[{"\[Gamma]", "/", "4"}], ",", "0"}], "}"}]}]}]}]], "Input",
 CellChangeTimes->{{3.706120427664309*^9, 3.706120525252162*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     RowBox[{"2", " ", "\[Gamma]"}], 
     SqrtBox[
      RowBox[{"3", "+", 
       RowBox[{"4", " ", 
        SuperscriptBox["\[Gamma]", "2"]}]}]]]}], ",", 
   FractionBox[
    SqrtBox["3"], 
    SqrtBox[
     RowBox[{"3", "+", 
      RowBox[{"4", " ", 
       SuperscriptBox["\[Gamma]", "2"]}]}]]], ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{3.7061204931481333`*^9, 3.70612052658349*^9, 
  3.706182041465724*^9, 3.70618644730296*^9, 3.706186769886338*^9, 
  3.70618721327105*^9, 3.70618809159485*^9, 3.7061910535007544`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"2", " ", 
     SqrtBox["3"]}]], ",", 
   FractionBox["\[Gamma]", "4"], ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{3.7061204931481333`*^9, 3.70612052658349*^9, 
  3.706182041465724*^9, 3.70618644730296*^9, 3.706186769886338*^9, 
  3.70618721327105*^9, 3.70618809159485*^9, 3.706191053504408*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "Matrice", " ", "de", " ", "rotation", " ", "pour", " ", "revenir", " ", 
    "dans", " ", "le", " ", "rep\[EGrave]re", " ", "naturel"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"MatrixForm", "[", 
   RowBox[{"Rot", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "}"}]}], "]"}]}]], "Input",\

 CellChangeTimes->{{3.706184068682637*^9, 3.706184135519607*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "1"},
     {"1", "0", "0"},
     {"0", "1", "0"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.706184115909391*^9, 3.706184136477132*^9}, 
   3.706186450722279*^9, 3.7061872146588087`*^9, 3.706188093222514*^9, 
   3.706191055006654*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Motif", " ", "1"}], ":", " ", 
    RowBox[{"coordonn\[EAcute]es", " ", "des", " ", "12", " ", "voisins"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"r0", "=", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{"r1", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        RowBox[{"Sqrt", "[", "3", "]"}]}], "/", "6"}], ",", 
      RowBox[{
       RowBox[{"-", "\[Gamma]"}], "/", "2"}], ",", 
      RowBox[{
       RowBox[{"-", "1"}], "/", "2"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{"r2", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        RowBox[{"Sqrt", "[", "3", "]"}]}], "/", "6"}], ",", 
      RowBox[{
       RowBox[{"-", "\[Gamma]"}], "/", "2"}], ",", 
      RowBox[{"1", "/", "2"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{"r3", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        RowBox[{"Sqrt", "[", "3", "]"}]}], "/", "2"}], ",", "0", ",", 
      RowBox[{
       RowBox[{"-", "1"}], "/", "2"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{"r4", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        RowBox[{"Sqrt", "[", "3", "]"}]}], "/", "2"}], ",", "0", ",", 
      RowBox[{
       RowBox[{"+", "1"}], "/", "2"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{"r5", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        RowBox[{"Sqrt", "[", "3", "]"}]}], "/", "6"}], ",", 
      RowBox[{"\[Gamma]", "/", "2"}], ",", 
      RowBox[{
       RowBox[{"-", "1"}], "/", "2"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{"r6", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        RowBox[{"Sqrt", "[", "3", "]"}]}], "/", "6"}], ",", 
      RowBox[{"\[Gamma]", "/", "2"}], ",", 
      RowBox[{"1", "/", "2"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{"r7", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"Sqrt", "[", "3", "]"}], "/", "3"}], ",", 
      RowBox[{"\[Gamma]", "/", "2"}], ",", "0"}], "}"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"r8", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"Sqrt", "[", "3", "]"}], "/", "2"}], ",", "0", ",", 
      RowBox[{
       RowBox[{"-", "1"}], "/", "2"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{"r9", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"Sqrt", "[", "3", "]"}], "/", "2"}], ",", "0", ",", 
      RowBox[{"1", "/", "2"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{"r10", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"Sqrt", "[", "3", "]"}], "/", "3"}], ",", 
      RowBox[{
       RowBox[{"-", "\[Gamma]"}], "/", "2"}], ",", "0"}], "}"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"r11", "=", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", 
      RowBox[{"-", "1"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{"r12", "=", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "1"}], "}"}]}]}]}]], "Input",
 CellChangeTimes->{{3.706119918797639*^9, 3.7061202076814537`*^9}, {
  3.7061203186494627`*^9, 3.70612035471379*^9}, {3.70618652897574*^9, 
  3.706186530856503*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{
  3.706120211811851*^9, {3.706120336997837*^9, 3.706120357216639*^9}, 
   3.7061864542121553`*^9, 3.706186532114834*^9, 3.706187217516927*^9, 
   3.706191056466679*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", 
    FractionBox["1", 
     RowBox[{"2", " ", 
      SqrtBox["3"]}]]}], ",", 
   RowBox[{"-", 
    FractionBox["\[Gamma]", "2"]}], ",", 
   RowBox[{"-", 
    FractionBox["1", "2"]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.706120211811851*^9, {3.706120336997837*^9, 3.706120357216639*^9}, 
   3.7061864542121553`*^9, 3.706186532114834*^9, 3.706187217516927*^9, 
   3.7061910564692163`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", 
    FractionBox["1", 
     RowBox[{"2", " ", 
      SqrtBox["3"]}]]}], ",", 
   RowBox[{"-", 
    FractionBox["\[Gamma]", "2"]}], ",", 
   FractionBox["1", "2"]}], "}"}]], "Output",
 CellChangeTimes->{
  3.706120211811851*^9, {3.706120336997837*^9, 3.706120357216639*^9}, 
   3.7061864542121553`*^9, 3.706186532114834*^9, 3.706187217516927*^9, 
   3.7061910564715977`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     SqrtBox["3"], "2"]}], ",", "0", ",", 
   RowBox[{"-", 
    FractionBox["1", "2"]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.706120211811851*^9, {3.706120336997837*^9, 3.706120357216639*^9}, 
   3.7061864542121553`*^9, 3.706186532114834*^9, 3.706187217516927*^9, 
   3.706191056473908*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     SqrtBox["3"], "2"]}], ",", "0", ",", 
   FractionBox["1", "2"]}], "}"}]], "Output",
 CellChangeTimes->{
  3.706120211811851*^9, {3.706120336997837*^9, 3.706120357216639*^9}, 
   3.7061864542121553`*^9, 3.706186532114834*^9, 3.706187217516927*^9, 
   3.706191056476047*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", 
    FractionBox["1", 
     RowBox[{"2", " ", 
      SqrtBox["3"]}]]}], ",", 
   FractionBox["\[Gamma]", "2"], ",", 
   RowBox[{"-", 
    FractionBox["1", "2"]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.706120211811851*^9, {3.706120336997837*^9, 3.706120357216639*^9}, 
   3.7061864542121553`*^9, 3.706186532114834*^9, 3.706187217516927*^9, 
   3.706191056478129*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", 
    FractionBox["1", 
     RowBox[{"2", " ", 
      SqrtBox["3"]}]]}], ",", 
   FractionBox["\[Gamma]", "2"], ",", 
   FractionBox["1", "2"]}], "}"}]], "Output",
 CellChangeTimes->{
  3.706120211811851*^9, {3.706120336997837*^9, 3.706120357216639*^9}, 
   3.7061864542121553`*^9, 3.706186532114834*^9, 3.706187217516927*^9, 
   3.706191056482107*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox["1", 
    SqrtBox["3"]], ",", 
   FractionBox["\[Gamma]", "2"], ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{
  3.706120211811851*^9, {3.706120336997837*^9, 3.706120357216639*^9}, 
   3.7061864542121553`*^9, 3.706186532114834*^9, 3.706187217516927*^9, 
   3.706191056483973*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox[
    SqrtBox["3"], "2"], ",", "0", ",", 
   RowBox[{"-", 
    FractionBox["1", "2"]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.706120211811851*^9, {3.706120336997837*^9, 3.706120357216639*^9}, 
   3.7061864542121553`*^9, 3.706186532114834*^9, 3.706187217516927*^9, 
   3.706191056485792*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox[
    SqrtBox["3"], "2"], ",", "0", ",", 
   FractionBox["1", "2"]}], "}"}]], "Output",
 CellChangeTimes->{
  3.706120211811851*^9, {3.706120336997837*^9, 3.706120357216639*^9}, 
   3.7061864542121553`*^9, 3.706186532114834*^9, 3.706187217516927*^9, 
   3.7061910564876204`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox["1", 
    SqrtBox["3"]], ",", 
   RowBox[{"-", 
    FractionBox["\[Gamma]", "2"]}], ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{
  3.706120211811851*^9, {3.706120336997837*^9, 3.706120357216639*^9}, 
   3.7061864542121553`*^9, 3.706186532114834*^9, 3.706187217516927*^9, 
   3.7061910564901543`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0", ",", 
   RowBox[{"-", "1"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.706120211811851*^9, {3.706120336997837*^9, 3.706120357216639*^9}, 
   3.7061864542121553`*^9, 3.706186532114834*^9, 3.706187217516927*^9, 
   3.7061910564916973`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{
  3.706120211811851*^9, {3.706120336997837*^9, 3.706120357216639*^9}, 
   3.7061864542121553`*^9, 3.706186532114834*^9, 3.706187217516927*^9, 
   3.706191056492975*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Maclage", " ", "\[AGrave]", " ", 
     RowBox[{"droite", ":", " ", 
      RowBox[{
      "Image", " ", "miroir", " ", "des", " ", "points", " ", "3"}]}]}], ",", 
    " ", "4", ",", " ", 
    RowBox[{"5", " ", "et", " ", "6"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  
  RowBox[{
   RowBox[{"rn3", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"r3", "-", 
      RowBox[{"2", "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"r3", "-", "rP"}], ")"}], ".", "nPy"}], ")"}], "*", 
       "nPy"}]}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"rn4", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"r4", "-", 
      RowBox[{"2", "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"r4", "-", "rP"}], ")"}], ".", "nPy"}], ")"}], "*", 
       "nPy"}]}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"rn5", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"r5", "-", 
      RowBox[{"2", "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"r5", "-", "rP"}], ")"}], ".", "nPy"}], ")"}], "*", 
       "nPy"}]}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"rn6", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"r6", "-", 
      RowBox[{"2", "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"r6", "-", "rP"}], ")"}], ".", "nPy"}], ")"}], "*", 
       "nPy"}]}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.7061205458779593`*^9, 3.7061206872047567`*^9}, {
  3.7061207783775682`*^9, 3.706120840514011*^9}, {3.706120928835772*^9, 
  3.706120949685618*^9}, {3.706191035743375*^9, 3.7061910401872663`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox[
    RowBox[{
     RowBox[{"-", "9"}], "+", 
     RowBox[{"14", " ", 
      SuperscriptBox["\[Gamma]", "2"]}]}], 
    RowBox[{"2", " ", 
     SqrtBox["3"], " ", 
     RowBox[{"(", 
      RowBox[{"3", "+", 
       RowBox[{"4", " ", 
        SuperscriptBox["\[Gamma]", "2"]}]}], ")"}]}]], ",", 
   RowBox[{"-", 
    FractionBox[
     RowBox[{"13", " ", "\[Gamma]"}], 
     RowBox[{"6", "+", 
      RowBox[{"8", " ", 
       SuperscriptBox["\[Gamma]", "2"]}]}]]}], ",", 
   RowBox[{"-", 
    FractionBox["1", "2"]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.706120600316372*^9, 3.706120688057585*^9}, {
   3.7061207889678717`*^9, 3.706120803925097*^9}, 3.706120841435626*^9, 
   3.706120950413649*^9, 3.7061865380056467`*^9, 3.706187227804825*^9, 
   3.706191060518936*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox[
    RowBox[{
     RowBox[{"-", "9"}], "+", 
     RowBox[{"14", " ", 
      SuperscriptBox["\[Gamma]", "2"]}]}], 
    RowBox[{"2", " ", 
     SqrtBox["3"], " ", 
     RowBox[{"(", 
      RowBox[{"3", "+", 
       RowBox[{"4", " ", 
        SuperscriptBox["\[Gamma]", "2"]}]}], ")"}]}]], ",", 
   RowBox[{"-", 
    FractionBox[
     RowBox[{"13", " ", "\[Gamma]"}], 
     RowBox[{"6", "+", 
      RowBox[{"8", " ", 
       SuperscriptBox["\[Gamma]", "2"]}]}]]}], ",", 
   FractionBox["1", "2"]}], "}"}]], "Output",
 CellChangeTimes->{{3.706120600316372*^9, 3.706120688057585*^9}, {
   3.7061207889678717`*^9, 3.706120803925097*^9}, 3.706120841435626*^9, 
   3.706120950413649*^9, 3.7061865380056467`*^9, 3.706187227804825*^9, 
   3.706191060519919*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox[
    RowBox[{
     SqrtBox["3"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{"6", " ", 
        SuperscriptBox["\[Gamma]", "2"]}]}], ")"}]}], 
    RowBox[{"6", "+", 
     RowBox[{"8", " ", 
      SuperscriptBox["\[Gamma]", "2"]}]}]], ",", 
   FractionBox[
    RowBox[{"2", " ", "\[Gamma]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "2"}], "+", 
       SuperscriptBox["\[Gamma]", "2"]}], ")"}]}], 
    RowBox[{"3", "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["\[Gamma]", "2"]}]}]], ",", 
   RowBox[{"-", 
    FractionBox["1", "2"]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.706120600316372*^9, 3.706120688057585*^9}, {
   3.7061207889678717`*^9, 3.706120803925097*^9}, 3.706120841435626*^9, 
   3.706120950413649*^9, 3.7061865380056467`*^9, 3.706187227804825*^9, 
   3.70619106052077*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox[
    RowBox[{
     SqrtBox["3"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{"6", " ", 
        SuperscriptBox["\[Gamma]", "2"]}]}], ")"}]}], 
    RowBox[{"6", "+", 
     RowBox[{"8", " ", 
      SuperscriptBox["\[Gamma]", "2"]}]}]], ",", 
   FractionBox[
    RowBox[{"2", " ", "\[Gamma]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "2"}], "+", 
       SuperscriptBox["\[Gamma]", "2"]}], ")"}]}], 
    RowBox[{"3", "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["\[Gamma]", "2"]}]}]], ",", 
   FractionBox["1", "2"]}], "}"}]], "Output",
 CellChangeTimes->{{3.706120600316372*^9, 3.706120688057585*^9}, {
   3.7061207889678717`*^9, 3.706120803925097*^9}, 3.706120841435626*^9, 
   3.706120950413649*^9, 3.7061865380056467`*^9, 3.706187227804825*^9, 
   3.7061910605216227`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Maclage", " ", "\[AGrave]", " ", 
     RowBox[{"gauche", ":", " ", 
      RowBox[{
      "Image", " ", "miroir", " ", "des", " ", "points", " ", "8"}]}]}], ",", 
    "9", ",", " ", "10"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"rn8", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"r8", "-", 
      RowBox[{"2", "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"r8", "-", "rP"}], ")"}], ".", "nPy"}], ")"}], "*", 
       "nPy"}]}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"rn9", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"r9", "-", 
      RowBox[{"2", "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"r9", "-", "rP"}], ")"}], ".", "nPy"}], ")"}], "*", 
       "nPy"}]}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"rn10", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"r10", "-", 
      RowBox[{"2", "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"r10", "-", "rP"}], ")"}], ".", "nPy"}], ")"}], "*", 
       "nPy"}]}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.7061912049487267`*^9, 3.706191248376513*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox[
    RowBox[{"9", "-", 
     RowBox[{"10", " ", 
      SuperscriptBox["\[Gamma]", "2"]}]}], 
    RowBox[{"2", " ", 
     SqrtBox["3"], " ", 
     RowBox[{"(", 
      RowBox[{"3", "+", 
       RowBox[{"4", " ", 
        SuperscriptBox["\[Gamma]", "2"]}]}], ")"}]}]], ",", 
   FractionBox[
    RowBox[{"11", " ", "\[Gamma]"}], 
    RowBox[{"6", "+", 
     RowBox[{"8", " ", 
      SuperscriptBox["\[Gamma]", "2"]}]}]], ",", 
   RowBox[{"-", 
    FractionBox["1", "2"]}]}], "}"}]], "Output",
 CellChangeTimes->{3.706191248926971*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox[
    RowBox[{"9", "-", 
     RowBox[{"10", " ", 
      SuperscriptBox["\[Gamma]", "2"]}]}], 
    RowBox[{"2", " ", 
     SqrtBox["3"], " ", 
     RowBox[{"(", 
      RowBox[{"3", "+", 
       RowBox[{"4", " ", 
        SuperscriptBox["\[Gamma]", "2"]}]}], ")"}]}]], ",", 
   FractionBox[
    RowBox[{"11", " ", "\[Gamma]"}], 
    RowBox[{"6", "+", 
     RowBox[{"8", " ", 
      SuperscriptBox["\[Gamma]", "2"]}]}]], ",", 
   FractionBox["1", "2"]}], "}"}]], "Output",
 CellChangeTimes->{3.7061912489283657`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox[
    RowBox[{
     SqrtBox["3"], " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{"3", " ", 
        SuperscriptBox["\[Gamma]", "2"]}]}], ")"}]}], 
    RowBox[{"3", "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["\[Gamma]", "2"]}]}]], ",", 
   FractionBox[
    RowBox[{
     RowBox[{"5", " ", "\[Gamma]"}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox["\[Gamma]", "3"]}]}], 
    RowBox[{"3", "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["\[Gamma]", "2"]}]}]], ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{3.70619124892968*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Image", " ", "miroir", " ", "des", " ", "points", " ", "0"}], 
    ",", " ", "1", ",", " ", "2", ",", " ", "7", ",", " ", "11", ",", " ", 
    RowBox[{"12", " ", "sur", " ", "le", " ", "joint"}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"rn0", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"r0", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"r0", "-", "rP"}], ")"}], ".", "nPy"}], ")"}], "*", 
       "nPy"}]}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"rn1", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"r1", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"r1", "-", "rP"}], ")"}], ".", "nPy"}], ")"}], "*", 
       "nPy"}]}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"rn2", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"r2", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"r2", "-", "rP"}], ")"}], ".", "nPy"}], ")"}], "*", 
       "nPy"}]}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"rn7", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"r7", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"r7", "-", "rP"}], ")"}], ".", "nPy"}], ")"}], "*", 
       "nPy"}]}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"rn11", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"r11", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"r11", "-", "rP"}], ")"}], ".", "nPy"}], ")"}], "*", 
       "nPy"}]}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"rn12", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"r12", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"r12", "-", "rP"}], ")"}], ".", "nPy"}], ")"}], "*", 
       "nPy"}]}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.706186556554825*^9, 3.706186632213464*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox[
    SuperscriptBox["\[Gamma]", "2"], 
    RowBox[{
     SqrtBox["3"], " ", 
     RowBox[{"(", 
      RowBox[{"6", "+", 
       RowBox[{"8", " ", 
        SuperscriptBox["\[Gamma]", "2"]}]}], ")"}]}]], ",", 
   RowBox[{"-", 
    FractionBox["\[Gamma]", 
     RowBox[{"12", "+", 
      RowBox[{"16", " ", 
       SuperscriptBox["\[Gamma]", "2"]}]}]]}], ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.7061866113428183`*^9, 3.706186633483466*^9}, 
   3.70618723359273*^9, 3.7061910652860117`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     RowBox[{"3", "+", 
      RowBox[{"5", " ", 
       SuperscriptBox["\[Gamma]", "2"]}]}], 
     RowBox[{"2", " ", 
      SqrtBox["3"], " ", 
      RowBox[{"(", 
       RowBox[{"3", "+", 
        RowBox[{"4", " ", 
         SuperscriptBox["\[Gamma]", "2"]}]}], ")"}]}]]}], ",", 
   RowBox[{"-", 
    FractionBox[
     RowBox[{"\[Gamma]", " ", 
      RowBox[{"(", 
       RowBox[{"5", "+", 
        RowBox[{"8", " ", 
         SuperscriptBox["\[Gamma]", "2"]}]}], ")"}]}], 
     RowBox[{"4", " ", 
      RowBox[{"(", 
       RowBox[{"3", "+", 
        RowBox[{"4", " ", 
         SuperscriptBox["\[Gamma]", "2"]}]}], ")"}]}]]}], ",", 
   RowBox[{"-", 
    FractionBox["1", "2"]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.7061866113428183`*^9, 3.706186633483466*^9}, 
   3.70618723359273*^9, 3.706191065287127*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     RowBox[{"3", "+", 
      RowBox[{"5", " ", 
       SuperscriptBox["\[Gamma]", "2"]}]}], 
     RowBox[{"2", " ", 
      SqrtBox["3"], " ", 
      RowBox[{"(", 
       RowBox[{"3", "+", 
        RowBox[{"4", " ", 
         SuperscriptBox["\[Gamma]", "2"]}]}], ")"}]}]]}], ",", 
   RowBox[{"-", 
    FractionBox[
     RowBox[{"\[Gamma]", " ", 
      RowBox[{"(", 
       RowBox[{"5", "+", 
        RowBox[{"8", " ", 
         SuperscriptBox["\[Gamma]", "2"]}]}], ")"}]}], 
     RowBox[{"4", " ", 
      RowBox[{"(", 
       RowBox[{"3", "+", 
        RowBox[{"4", " ", 
         SuperscriptBox["\[Gamma]", "2"]}]}], ")"}]}]]}], ",", 
   FractionBox["1", "2"]}], "}"}]], "Output",
 CellChangeTimes->{{3.7061866113428183`*^9, 3.706186633483466*^9}, 
   3.70618723359273*^9, 3.70619106528822*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox[
    RowBox[{"6", "+", 
     RowBox[{"7", " ", 
      SuperscriptBox["\[Gamma]", "2"]}]}], 
    RowBox[{"2", " ", 
     SqrtBox["3"], " ", 
     RowBox[{"(", 
      RowBox[{"3", "+", 
       RowBox[{"4", " ", 
        SuperscriptBox["\[Gamma]", "2"]}]}], ")"}]}]], ",", 
   FractionBox[
    RowBox[{
     RowBox[{"7", " ", "\[Gamma]"}], "+", 
     RowBox[{"8", " ", 
      SuperscriptBox["\[Gamma]", "3"]}]}], 
    RowBox[{"12", "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["\[Gamma]", "2"]}]}]], ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.7061866113428183`*^9, 3.706186633483466*^9}, 
   3.70618723359273*^9, 3.706191065289524*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox[
    SuperscriptBox["\[Gamma]", "2"], 
    RowBox[{
     SqrtBox["3"], " ", 
     RowBox[{"(", 
      RowBox[{"6", "+", 
       RowBox[{"8", " ", 
        SuperscriptBox["\[Gamma]", "2"]}]}], ")"}]}]], ",", 
   RowBox[{"-", 
    FractionBox["\[Gamma]", 
     RowBox[{"12", "+", 
      RowBox[{"16", " ", 
       SuperscriptBox["\[Gamma]", "2"]}]}]]}], ",", 
   RowBox[{"-", "1"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.7061866113428183`*^9, 3.706186633483466*^9}, 
   3.70618723359273*^9, 3.706191065290845*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox[
    SuperscriptBox["\[Gamma]", "2"], 
    RowBox[{
     SqrtBox["3"], " ", 
     RowBox[{"(", 
      RowBox[{"6", "+", 
       RowBox[{"8", " ", 
        SuperscriptBox["\[Gamma]", "2"]}]}], ")"}]}]], ",", 
   RowBox[{"-", 
    FractionBox["\[Gamma]", 
     RowBox[{"12", "+", 
      RowBox[{"16", " ", 
       SuperscriptBox["\[Gamma]", "2"]}]}]]}], ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{{3.7061866113428183`*^9, 3.706186633483466*^9}, 
   3.70618723359273*^9, 3.706191065292152*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Distance", " ", "\[AGrave]", " ", 
    RowBox[{"l", "'"}], "origine"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Simplify", "[", 
    RowBox[{"Norm", "[", 
     RowBox[{
      RowBox[{"rn1", "-", "rn0"}], "/.", 
      RowBox[{"\[Gamma]", "\[Rule]", 
       RowBox[{"Sqrt", "[", 
        RowBox[{"8", "/", "3"}], "]"}]}]}], "]"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{"Norm", "[", 
     RowBox[{
      RowBox[{"rn2", "-", "rn0"}], "/.", 
      RowBox[{"\[Gamma]", "\[Rule]", 
       RowBox[{"Sqrt", "[", 
        RowBox[{"8", "/", "3"}], "]"}]}]}], "]"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{"Norm", "[", 
     RowBox[{
      RowBox[{"r3", "-", "rn0"}], "/.", 
      RowBox[{"\[Gamma]", "\[Rule]", 
       RowBox[{"Sqrt", "[", 
        RowBox[{"8", "/", "3"}], "]"}]}]}], "]"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{"Norm", "[", 
     RowBox[{
      RowBox[{"r4", "-", "rn0"}], "/.", 
      RowBox[{"\[Gamma]", "\[Rule]", 
       RowBox[{"Sqrt", "[", 
        RowBox[{"8", "/", "3"}], "]"}]}]}], "]"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{"Norm", "[", 
     RowBox[{
      RowBox[{"r5", "-", "rn0"}], "/.", 
      RowBox[{"\[Gamma]", "\[Rule]", 
       RowBox[{"Sqrt", "[", 
        RowBox[{"8", "/", "3"}], "]"}]}]}], "]"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{"Norm", "[", 
     RowBox[{
      RowBox[{"r6", "-", "rn0"}], "/.", 
      RowBox[{"\[Gamma]", "\[Rule]", 
       RowBox[{"Sqrt", "[", 
        RowBox[{"8", "/", "3"}], "]"}]}]}], "]"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{"Norm", "[", 
     RowBox[{
      RowBox[{"rn7", "-", "rn0"}], "/.", 
      RowBox[{"\[Gamma]", "\[Rule]", 
       RowBox[{"Sqrt", "[", 
        RowBox[{"8", "/", "3"}], "]"}]}]}], "]"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{"Norm", "[", 
     RowBox[{
      RowBox[{"rn5", "-", "rn0"}], "/.", 
      RowBox[{"\[Gamma]", "\[Rule]", 
       RowBox[{"Sqrt", "[", 
        RowBox[{"8", "/", "3"}], "]"}]}]}], "]"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{"Norm", "[", 
     RowBox[{
      RowBox[{"rn6", "-", "rn0"}], "/.", 
      RowBox[{"\[Gamma]", "\[Rule]", 
       RowBox[{"Sqrt", "[", 
        RowBox[{"8", "/", "3"}], "]"}]}]}], "]"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{"Norm", "[", 
     RowBox[{
      RowBox[{"rn3", "-", "rn0"}], "/.", 
      RowBox[{"\[Gamma]", "\[Rule]", 
       RowBox[{"Sqrt", "[", 
        RowBox[{"8", "/", "3"}], "]"}]}]}], "]"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{"Norm", "[", 
     RowBox[{
      RowBox[{"rn4", "-", "rn0"}], "/.", 
      RowBox[{"\[Gamma]", "\[Rule]", 
       RowBox[{"Sqrt", "[", 
        RowBox[{"8", "/", "3"}], "]"}]}]}], "]"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{"Norm", "[", 
     RowBox[{
      RowBox[{"rn11", "-", "rn0"}], "/.", 
      RowBox[{"\[Gamma]", "\[Rule]", 
       RowBox[{"Sqrt", "[", 
        RowBox[{"8", "/", "3"}], "]"}]}]}], "]"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{"Norm", "[", 
     RowBox[{
      RowBox[{"rn12", "-", "rn0"}], "/.", 
      RowBox[{"\[Gamma]", "\[Rule]", 
       RowBox[{"Sqrt", "[", 
        RowBox[{"8", "/", "3"}], "]"}]}]}], "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.7061867973938713`*^9, 3.70618694297085*^9}}],

Cell[BoxData[
 FractionBox["11", 
  SqrtBox["123"]]], "Output",
 CellChangeTimes->{3.706186943336576*^9, 3.706187242390471*^9, 
  3.7061910712102947`*^9}],

Cell[BoxData[
 FractionBox["11", 
  SqrtBox["123"]]], "Output",
 CellChangeTimes->{3.706186943336576*^9, 3.706187242390471*^9, 
  3.706191071211624*^9}],

Cell[BoxData[
 SqrtBox[
  FractionBox["271", "246"]]], "Output",
 CellChangeTimes->{3.706186943336576*^9, 3.706187242390471*^9, 
  3.706191071212442*^9}],

Cell[BoxData[
 SqrtBox[
  FractionBox["271", "246"]]], "Output",
 CellChangeTimes->{3.706186943336576*^9, 3.706187242390471*^9, 
  3.706191071213242*^9}],

Cell[BoxData[
 SqrtBox[
  FractionBox["89", "82"]]], "Output",
 CellChangeTimes->{3.706186943336576*^9, 3.706187242390471*^9, 
  3.7061910712150707`*^9}],

Cell[BoxData[
 SqrtBox[
  FractionBox["89", "82"]]], "Output",
 CellChangeTimes->{3.706186943336576*^9, 3.706187242390471*^9, 
  3.7061910712158823`*^9}],

Cell[BoxData[
 FractionBox["11", 
  SqrtBox["123"]]], "Output",
 CellChangeTimes->{3.706186943336576*^9, 3.706187242390471*^9, 
  3.706191071216846*^9}],

Cell[BoxData[
 SqrtBox[
  FractionBox["89", "82"]]], "Output",
 CellChangeTimes->{3.706186943336576*^9, 3.706187242390471*^9, 
  3.7061910712176247`*^9}],

Cell[BoxData[
 SqrtBox[
  FractionBox["89", "82"]]], "Output",
 CellChangeTimes->{3.706186943336576*^9, 3.706187242390471*^9, 
  3.706191071218341*^9}],

Cell[BoxData[
 SqrtBox[
  FractionBox["271", "246"]]], "Output",
 CellChangeTimes->{3.706186943336576*^9, 3.706187242390471*^9, 
  3.706191071218945*^9}],

Cell[BoxData[
 SqrtBox[
  FractionBox["271", "246"]]], "Output",
 CellChangeTimes->{3.706186943336576*^9, 3.706187242390471*^9, 
  3.7061910712195797`*^9}],

Cell[BoxData["1"], "Output",
 CellChangeTimes->{3.706186943336576*^9, 3.706187242390471*^9, 
  3.7061910712202597`*^9}],

Cell[BoxData["1"], "Output",
 CellChangeTimes->{3.706186943336576*^9, 3.706187242390471*^9, 
  3.706191071220881*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Maclage", " ", "\[AGrave]", " ", "droite"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"FortranForm", "[", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"Rot", ".", 
      RowBox[{"(", 
       RowBox[{"rn1", "-", "rn0"}], ")"}]}], "/.", 
     RowBox[{"\[Gamma]", "\[Rule]", "coa"}]}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.7061911761006937`*^9, 3.706191185792659*^9}}],

Cell["\<\
List(-0.5,-((Sqrt(3)*(1 + 2*coa**2))/(6 + 8*coa**2)),-((coa + 2*coa**3)/(3 + \
4*coa**2)))\
\>", "Output",
 CellChangeTimes->{3.70618701370538*^9, 3.7061872470685453`*^9, 
  3.706191186948894*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FortranForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Rot", ".", 
     RowBox[{"(", 
      RowBox[{"rn2", "-", "rn0"}], ")"}]}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", "coa"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{3.706187018790031*^9}],

Cell["\<\
List(0.5,-((Sqrt(3)*(1 + 2*coa**2))/(6 + 8*coa**2)),-((coa + 2*coa**3)/(3 + \
4*coa**2)))\
\>", "Output",
 CellChangeTimes->{3.706187019793602*^9, 3.706187248748909*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FortranForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Rot", ".", 
     RowBox[{"(", 
      RowBox[{"r3", "-", "rn0"}], ")"}]}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", "coa"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{3.706187030376368*^9}],

Cell["\<\
List(-0.5,-(9 + 13*coa**2)/(2.*Sqrt(3)*(3 + 4*coa**2)),coa/(12 + 16*coa**2))\
\>", "Output",
 CellChangeTimes->{3.706187031923534*^9, 3.7061872497698917`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FortranForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Rot", ".", 
     RowBox[{"(", 
      RowBox[{"r4", "-", "rn0"}], ")"}]}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", "coa"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.706187038997547*^9, 3.706187042042348*^9}}],

Cell["\<\
List(0.5,-(9 + 13*coa**2)/(2.*Sqrt(3)*(3 + 4*coa**2)),coa/(12 + 16*coa**2))\
\>", "Output",
 CellChangeTimes->{3.706187042819291*^9, 3.706187250765133*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FortranForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Rot", ".", 
     RowBox[{"(", 
      RowBox[{"r5", "-", "rn0"}], ")"}]}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", "coa"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{3.706187049040826*^9}],

Cell["\<\
List(-0.5,-(3 + 5*coa**2)/(2.*Sqrt(3)*(3 + 4*coa**2)),coa*(0.5 + 1/(12 + \
16*coa**2)))\
\>", "Output",
 CellChangeTimes->{3.706187050070755*^9, 3.7061872518312063`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FortranForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Rot", ".", 
     RowBox[{"(", 
      RowBox[{"r6", "-", "rn0"}], ")"}]}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", "coa"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{3.7061870546918173`*^9}],

Cell["\<\
List(0.5,-(3 + 5*coa**2)/(2.*Sqrt(3)*(3 + 4*coa**2)),coa*(0.5 + 1/(12 + \
16*coa**2)))\
\>", "Output",
 CellChangeTimes->{3.706187055965232*^9, 3.7061872528808727`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FortranForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Rot", ".", 
     RowBox[{"(", 
      RowBox[{"rn7", "-", "rn0"}], ")"}]}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", "coa"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.706187064148786*^9, 3.706187066812786*^9}}],

Cell["\<\
List(0,(Sqrt(3)*(1 + coa**2))/(3 + 4*coa**2),(2*(coa + coa**3))/(3 + \
4*coa**2))\
\>", "Output",
 CellChangeTimes->{3.7061870673738003`*^9, 3.706187253895993*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FortranForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Rot", ".", 
     RowBox[{"(", 
      RowBox[{"rn5", "-", "rn0"}], ")"}]}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", "coa"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.7061870759244204`*^9, 3.706187077278101*^9}}],

Cell["\<\
List(-0.5,(-3 + 17*coa**2)/(2.*Sqrt(3)*(3 + 4*coa**2)),(coa*(-15 + \
8*coa**2))/(4.*(3 + 4*coa**2)))\
\>", "Output",
 CellChangeTimes->{3.706187078095283*^9, 3.706187254972611*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FortranForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Rot", ".", 
     RowBox[{"(", 
      RowBox[{"rn6", "-", "rn0"}], ")"}]}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", "coa"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{3.7061870825709057`*^9}],

Cell["\<\
List(0.5,(-3 + 17*coa**2)/(2.*Sqrt(3)*(3 + 4*coa**2)),(coa*(-15 + \
8*coa**2))/(4.*(3 + 4*coa**2)))\
\>", "Output",
 CellChangeTimes->{3.706187083457027*^9, 3.706187256134705*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FortranForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Rot", ".", 
     RowBox[{"(", 
      RowBox[{"rn3", "-", "rn0"}], ")"}]}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", "coa"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.706187087011887*^9, 3.706187102781527*^9}}],

Cell["\<\
List(-0.5,(-9 + 13*coa**2)/(2.*Sqrt(3)*(3 + 4*coa**2)),(-25*coa)/(12 + \
16*coa**2))\
\>", "Output",
 CellChangeTimes->{3.706187089960005*^9, 3.706187257406405*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FortranForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Rot", ".", 
     RowBox[{"(", 
      RowBox[{"rn4", "-", "rn0"}], ")"}]}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", "coa"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.7061870937593822`*^9, 3.7061871059759073`*^9}}],

Cell["\<\
List(0.5,(-9 + 13*coa**2)/(2.*Sqrt(3)*(3 + 4*coa**2)),(-25*coa)/(12 + \
16*coa**2))\
\>", "Output",
 CellChangeTimes->{3.706187107517672*^9, 3.706187258429863*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FortranForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Rot", ".", 
     RowBox[{"(", 
      RowBox[{"rn11", "-", "rn0"}], ")"}]}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", "coa"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{3.706187122540736*^9}],

Cell["List(-1,0,0)", "Output",
 CellChangeTimes->{3.7061871235884457`*^9, 3.7061872595567513`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FortranForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Rot", ".", 
     RowBox[{"(", 
      RowBox[{"rn12", "-", "rn0"}], ")"}]}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", "coa"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{3.706187127498621*^9}],

Cell["List(1,0,0)", "Output",
 CellChangeTimes->{3.70618712896095*^9, 3.70618726070162*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**",
     "**", "**", "**", "**", "**"}], "*****)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Maclage", " ", "\[AGrave]", " ", "gauche"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"FortranForm", "[", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"Rot", ".", 
      RowBox[{"(", 
       RowBox[{"rn1", "-", "rn0"}], ")"}]}], "/.", 
     RowBox[{"\[Gamma]", "\[Rule]", "coa"}]}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.70619130347831*^9, 3.706191347002426*^9}}],

Cell["\<\
List(-0.5,-((Sqrt(3)*(1 + 2*coa**2))/(6 + 8*coa**2)),-((coa + 2*coa**3)/(3 + \
4*coa**2)))\
\>", "Output",
 CellChangeTimes->{{3.706191327105647*^9, 3.706191341098865*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FortranForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Rot", ".", 
     RowBox[{"(", 
      RowBox[{"rn2", "-", "rn0"}], ")"}]}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", "coa"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{3.706191762368558*^9}],

Cell["\<\
List(0.5,-((Sqrt(3)*(1 + 2*coa**2))/(6 + 8*coa**2)),-((coa + 2*coa**3)/(3 + \
4*coa**2)))\
\>", "Output",
 CellChangeTimes->{3.7061917633662786`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FortranForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Rot", ".", 
     RowBox[{"(", 
      RowBox[{"rn10", "-", "rn0"}], ")"}]}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", "coa"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.7061913571347027`*^9, 3.706191357495409*^9}}],

Cell["\<\
List(0,(6 - 19*coa**2)/(2.*Sqrt(3)*(3 + 4*coa**2)),(21*coa - 8*coa**3)/(12 + \
16*coa**2))\
\>", "Output",
 CellChangeTimes->{3.706191360831379*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FortranForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Rot", ".", 
     RowBox[{"(", 
      RowBox[{"rn8", "-", "rn0"}], ")"}]}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", "coa"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.706191367837584*^9, 3.706191369372757*^9}}],

Cell["\<\
List(-0.5,(9 - 11*coa**2)/(2.*Sqrt(3)*(3 + 4*coa**2)),(23*coa)/(12 + \
16*coa**2))\
\>", "Output",
 CellChangeTimes->{3.706191370504187*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FortranForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Rot", ".", 
     RowBox[{"(", 
      RowBox[{"rn9", "-", "rn0"}], ")"}]}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", "coa"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{3.7061913756456223`*^9}],

Cell["\<\
List(0.5,(9 - 11*coa**2)/(2.*Sqrt(3)*(3 + 4*coa**2)),(23*coa)/(12 + \
16*coa**2))\
\>", "Output",
 CellChangeTimes->{3.7061913774987373`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FortranForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Rot", ".", 
     RowBox[{"(", 
      RowBox[{"rn7", "-", "rn0"}], ")"}]}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", "coa"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.706191389773479*^9, 3.706191397169471*^9}}],

Cell["\<\
List(0,(Sqrt(3)*(1 + coa**2))/(3 + 4*coa**2),(2*(coa + coa**3))/(3 + \
4*coa**2))\
\>", "Output",
 CellChangeTimes->{3.7061913979104433`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FortranForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Rot", ".", 
     RowBox[{"(", 
      RowBox[{"r8", "-", "rn0"}], ")"}]}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", "coa"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.706191404407032*^9, 3.706191405303556*^9}}],

Cell["\<\
List(-0.5,(9 + 11*coa**2)/(2.*Sqrt(3)*(3 + 4*coa**2)),coa/(12 + 16*coa**2))\
\>", "Output",
 CellChangeTimes->{3.7061914068197317`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FortranForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Rot", ".", 
     RowBox[{"(", 
      RowBox[{"r9", "-", "rn0"}], ")"}]}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", "coa"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.706191410417802*^9, 3.706191411317895*^9}}],

Cell["\<\
List(0.5,(9 + 11*coa**2)/(2.*Sqrt(3)*(3 + 4*coa**2)),coa/(12 + 16*coa**2))\
\>", "Output",
 CellChangeTimes->{3.7061914128913116`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FortranForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Rot", ".", 
     RowBox[{"(", 
      RowBox[{"r10", "-", "rn0"}], ")"}]}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", "coa"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.706191416212656*^9, 3.706191420470551*^9}}],

Cell["\<\
List(0,(6 + 7*coa**2)/(2.*Sqrt(3)*(3 + 4*coa**2)),coa*(-0.5 + 1/(12 + \
16*coa**2)))\
\>", "Output",
 CellChangeTimes->{3.7061914214107723`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FortranForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Rot", ".", 
     RowBox[{"(", 
      RowBox[{"rn11", "-", "rn0"}], ")"}]}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", "coa"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{3.7061914257443666`*^9}],

Cell["List(-1,0,0)", "Output",
 CellChangeTimes->{3.7061914265295963`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FortranForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Rot", ".", 
     RowBox[{"(", 
      RowBox[{"rn12", "-", "rn0"}], ")"}]}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", "coa"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{3.7061914304125*^9}],

Cell["List(1,0,0)", "Output",
 CellChangeTimes->{3.706191431258691*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**",
     "**", "**", "**", "**", "**"}], "*****)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Motif", " ", "2"}], ":", " ", 
    RowBox[{"coordonn\[EAcute]es", " ", "des", " ", "12", " ", "voisins"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"r0", "=", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{"r1", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        RowBox[{"Sqrt", "[", "3", "]"}]}], "/", "3"}], ",", 
      RowBox[{
       RowBox[{"-", "\[Gamma]"}], "/", "2"}], ",", "0"}], "}"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"r2", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        RowBox[{"Sqrt", "[", "3", "]"}]}], "/", "2"}], ",", "0", ",", 
      RowBox[{
       RowBox[{"-", "1"}], "/", "2"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{"r3", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        RowBox[{"Sqrt", "[", "3", "]"}]}], "/", "2"}], ",", "0", ",", 
      RowBox[{"1", "/", "2"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{"r4", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        RowBox[{"Sqrt", "[", "3", "]"}]}], "/", "3"}], ",", 
      RowBox[{"\[Gamma]", "/", "2"}], ",", "0"}], "}"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"r5", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"Sqrt", "[", "3", "]"}], "/", "6"}], ",", 
      RowBox[{"\[Gamma]", "/", "2"}], ",", 
      RowBox[{
       RowBox[{"-", "1"}], "/", "2"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{"r6", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"Sqrt", "[", "3", "]"}], "/", "6"}], ",", 
      RowBox[{"\[Gamma]", "/", "2"}], ",", 
      RowBox[{"1", "/", "2"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{"r7", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"Sqrt", "[", "3", "]"}], "/", "2"}], ",", "0", ",", 
      RowBox[{
       RowBox[{"-", "1"}], "/", "2"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{"r8", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"Sqrt", "[", "3", "]"}], "/", "2"}], ",", "0", ",", 
      RowBox[{"1", "/", "2"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{"r9", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"Sqrt", "[", "3", "]"}], "/", "6"}], ",", 
      RowBox[{
       RowBox[{"-", "\[Gamma]"}], "/", "2"}], ",", 
      RowBox[{
       RowBox[{"-", "1"}], "/", "2"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{"r10", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"Sqrt", "[", "3", "]"}], "/", "6"}], ",", 
      RowBox[{
       RowBox[{"-", "\[Gamma]"}], "/", "2"}], ",", 
      RowBox[{"1", "/", "2"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{"r11", "=", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", 
      RowBox[{"-", "1"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{"r12", "=", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "1"}], "}"}]}]}]}]], "Input",
 CellChangeTimes->{{3.706181629935081*^9, 3.7061818253387547`*^9}, 
   3.706181955340618*^9, {3.706182602315692*^9, 3.706182611167048*^9}, {
   3.706186489664308*^9, 3.706186498050902*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{3.706181798018674*^9, 3.70618188979673*^9, 
  3.706181956791913*^9, 3.706182612312495*^9, 3.706186683150873*^9, 
  3.70618810749212*^9, 3.706192201305977*^9, 3.7061988104751787`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", 
    FractionBox["1", 
     SqrtBox["3"]]}], ",", 
   RowBox[{"-", 
    FractionBox["\[Gamma]", "2"]}], ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{3.706181798018674*^9, 3.70618188979673*^9, 
  3.706181956791913*^9, 3.706182612312495*^9, 3.706186683150873*^9, 
  3.70618810749212*^9, 3.706192201305977*^9, 3.706198810476284*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     SqrtBox["3"], "2"]}], ",", "0", ",", 
   RowBox[{"-", 
    FractionBox["1", "2"]}]}], "}"}]], "Output",
 CellChangeTimes->{3.706181798018674*^9, 3.70618188979673*^9, 
  3.706181956791913*^9, 3.706182612312495*^9, 3.706186683150873*^9, 
  3.70618810749212*^9, 3.706192201305977*^9, 3.7061988104773207`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     SqrtBox["3"], "2"]}], ",", "0", ",", 
   FractionBox["1", "2"]}], "}"}]], "Output",
 CellChangeTimes->{3.706181798018674*^9, 3.70618188979673*^9, 
  3.706181956791913*^9, 3.706182612312495*^9, 3.706186683150873*^9, 
  3.70618810749212*^9, 3.706192201305977*^9, 3.706198810478279*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", 
    FractionBox["1", 
     SqrtBox["3"]]}], ",", 
   FractionBox["\[Gamma]", "2"], ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{3.706181798018674*^9, 3.70618188979673*^9, 
  3.706181956791913*^9, 3.706182612312495*^9, 3.706186683150873*^9, 
  3.70618810749212*^9, 3.706192201305977*^9, 3.7061988104791603`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"2", " ", 
     SqrtBox["3"]}]], ",", 
   FractionBox["\[Gamma]", "2"], ",", 
   RowBox[{"-", 
    FractionBox["1", "2"]}]}], "}"}]], "Output",
 CellChangeTimes->{3.706181798018674*^9, 3.70618188979673*^9, 
  3.706181956791913*^9, 3.706182612312495*^9, 3.706186683150873*^9, 
  3.70618810749212*^9, 3.706192201305977*^9, 3.7061988104800043`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"2", " ", 
     SqrtBox["3"]}]], ",", 
   FractionBox["\[Gamma]", "2"], ",", 
   FractionBox["1", "2"]}], "}"}]], "Output",
 CellChangeTimes->{3.706181798018674*^9, 3.70618188979673*^9, 
  3.706181956791913*^9, 3.706182612312495*^9, 3.706186683150873*^9, 
  3.70618810749212*^9, 3.706192201305977*^9, 3.7061988104809504`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox[
    SqrtBox["3"], "2"], ",", "0", ",", 
   RowBox[{"-", 
    FractionBox["1", "2"]}]}], "}"}]], "Output",
 CellChangeTimes->{3.706181798018674*^9, 3.70618188979673*^9, 
  3.706181956791913*^9, 3.706182612312495*^9, 3.706186683150873*^9, 
  3.70618810749212*^9, 3.706192201305977*^9, 3.706198810481887*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox[
    SqrtBox["3"], "2"], ",", "0", ",", 
   FractionBox["1", "2"]}], "}"}]], "Output",
 CellChangeTimes->{3.706181798018674*^9, 3.70618188979673*^9, 
  3.706181956791913*^9, 3.706182612312495*^9, 3.706186683150873*^9, 
  3.70618810749212*^9, 3.706192201305977*^9, 3.706198810482712*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"2", " ", 
     SqrtBox["3"]}]], ",", 
   RowBox[{"-", 
    FractionBox["\[Gamma]", "2"]}], ",", 
   RowBox[{"-", 
    FractionBox["1", "2"]}]}], "}"}]], "Output",
 CellChangeTimes->{3.706181798018674*^9, 3.70618188979673*^9, 
  3.706181956791913*^9, 3.706182612312495*^9, 3.706186683150873*^9, 
  3.70618810749212*^9, 3.706192201305977*^9, 3.706198810485064*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"2", " ", 
     SqrtBox["3"]}]], ",", 
   RowBox[{"-", 
    FractionBox["\[Gamma]", "2"]}], ",", 
   FractionBox["1", "2"]}], "}"}]], "Output",
 CellChangeTimes->{3.706181798018674*^9, 3.70618188979673*^9, 
  3.706181956791913*^9, 3.706182612312495*^9, 3.706186683150873*^9, 
  3.70618810749212*^9, 3.706192201305977*^9, 3.706198810486437*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0", ",", 
   RowBox[{"-", "1"}]}], "}"}]], "Output",
 CellChangeTimes->{3.706181798018674*^9, 3.70618188979673*^9, 
  3.706181956791913*^9, 3.706182612312495*^9, 3.706186683150873*^9, 
  3.70618810749212*^9, 3.706192201305977*^9, 3.706198810487297*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{3.706181798018674*^9, 3.70618188979673*^9, 
  3.706181956791913*^9, 3.706182612312495*^9, 3.706186683150873*^9, 
  3.70618810749212*^9, 3.706192201305977*^9, 3.706198810488001*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Image", " ", "miroir", " ", "des", " ", "points", " ", "0"}], 
    ",", " ", "1", ",", " ", "5", ",", " ", "6", ",", " ", "11", ",", " ", 
    RowBox[{"12", " ", "sur", " ", "le", " ", "joint"}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"rn0", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"r0", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"r0", "-", "rP"}], ")"}], ".", "nPy"}], ")"}], "*", 
       "nPy"}]}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"rn1", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"r1", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"r1", "-", "rP"}], ")"}], ".", "nPy"}], ")"}], "*", 
       "nPy"}]}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"rn5", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"r5", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"r5", "-", "rP"}], ")"}], ".", "nPy"}], ")"}], "*", 
       "nPy"}]}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"rn6", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"r6", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"r6", "-", "rP"}], ")"}], ".", "nPy"}], ")"}], "*", 
       "nPy"}]}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"rn11", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"r11", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"r11", "-", "rP"}], ")"}], ".", "nPy"}], ")"}], "*", 
       "nPy"}]}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"rn12", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"r12", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"r12", "-", "rP"}], ")"}], ".", "nPy"}], ")"}], "*", 
       "nPy"}]}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.7061826300510607`*^9, 3.70618270832126*^9}, {
  3.7061827755580997`*^9, 3.706182812715282*^9}, {3.706186645525614*^9, 
  3.7061866582059193`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox[
    SuperscriptBox["\[Gamma]", "2"], 
    RowBox[{
     SqrtBox["3"], " ", 
     RowBox[{"(", 
      RowBox[{"6", "+", 
       RowBox[{"8", " ", 
        SuperscriptBox["\[Gamma]", "2"]}]}], ")"}]}]], ",", 
   RowBox[{"-", 
    FractionBox["\[Gamma]", 
     RowBox[{"12", "+", 
      RowBox[{"16", " ", 
       SuperscriptBox["\[Gamma]", "2"]}]}]]}], ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{
  3.7061827093307*^9, 3.7061828137164173`*^9, {3.7061866590032473`*^9, 
   3.706186687543323*^9}, 3.706188111151572*^9, 3.706198818517212*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     RowBox[{"6", "+", 
      RowBox[{"5", " ", 
       SuperscriptBox["\[Gamma]", "2"]}]}], 
     RowBox[{"2", " ", 
      SqrtBox["3"], " ", 
      RowBox[{"(", 
       RowBox[{"3", "+", 
        RowBox[{"4", " ", 
         SuperscriptBox["\[Gamma]", "2"]}]}], ")"}]}]]}], ",", 
   RowBox[{
    FractionBox["1", "4"], " ", "\[Gamma]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "2"}], "-", 
      FractionBox["3", 
       RowBox[{"3", "+", 
        RowBox[{"4", " ", 
         SuperscriptBox["\[Gamma]", "2"]}]}]]}], ")"}]}], ",", "0"}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.7061827093307*^9, 3.7061828137164173`*^9, {3.7061866590032473`*^9, 
   3.706186687543323*^9}, 3.706188111151572*^9, 3.70619881852516*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox[
    RowBox[{"3", "+", 
     RowBox[{"7", " ", 
      SuperscriptBox["\[Gamma]", "2"]}]}], 
    RowBox[{"2", " ", 
     SqrtBox["3"], " ", 
     RowBox[{"(", 
      RowBox[{"3", "+", 
       RowBox[{"4", " ", 
        SuperscriptBox["\[Gamma]", "2"]}]}], ")"}]}]], ",", 
   RowBox[{
    FractionBox["1", "4"], " ", "\[Gamma]", " ", 
    RowBox[{"(", 
     RowBox[{"2", "-", 
      FractionBox["3", 
       RowBox[{"3", "+", 
        RowBox[{"4", " ", 
         SuperscriptBox["\[Gamma]", "2"]}]}]]}], ")"}]}], ",", 
   RowBox[{"-", 
    FractionBox["1", "2"]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.7061827093307*^9, 3.7061828137164173`*^9, {3.7061866590032473`*^9, 
   3.706186687543323*^9}, 3.706188111151572*^9, 3.706198818530751*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox[
    RowBox[{"3", "+", 
     RowBox[{"7", " ", 
      SuperscriptBox["\[Gamma]", "2"]}]}], 
    RowBox[{"2", " ", 
     SqrtBox["3"], " ", 
     RowBox[{"(", 
      RowBox[{"3", "+", 
       RowBox[{"4", " ", 
        SuperscriptBox["\[Gamma]", "2"]}]}], ")"}]}]], ",", 
   RowBox[{
    FractionBox["1", "4"], " ", "\[Gamma]", " ", 
    RowBox[{"(", 
     RowBox[{"2", "-", 
      FractionBox["3", 
       RowBox[{"3", "+", 
        RowBox[{"4", " ", 
         SuperscriptBox["\[Gamma]", "2"]}]}]]}], ")"}]}], ",", 
   FractionBox["1", "2"]}], "}"}]], "Output",
 CellChangeTimes->{
  3.7061827093307*^9, 3.7061828137164173`*^9, {3.7061866590032473`*^9, 
   3.706186687543323*^9}, 3.706188111151572*^9, 3.706198818536832*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox[
    SuperscriptBox["\[Gamma]", "2"], 
    RowBox[{
     SqrtBox["3"], " ", 
     RowBox[{"(", 
      RowBox[{"6", "+", 
       RowBox[{"8", " ", 
        SuperscriptBox["\[Gamma]", "2"]}]}], ")"}]}]], ",", 
   RowBox[{"-", 
    FractionBox["\[Gamma]", 
     RowBox[{"12", "+", 
      RowBox[{"16", " ", 
       SuperscriptBox["\[Gamma]", "2"]}]}]]}], ",", 
   RowBox[{"-", "1"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.7061827093307*^9, 3.7061828137164173`*^9, {3.7061866590032473`*^9, 
   3.706186687543323*^9}, 3.706188111151572*^9, 3.7061988185394793`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox[
    SuperscriptBox["\[Gamma]", "2"], 
    RowBox[{
     SqrtBox["3"], " ", 
     RowBox[{"(", 
      RowBox[{"6", "+", 
       RowBox[{"8", " ", 
        SuperscriptBox["\[Gamma]", "2"]}]}], ")"}]}]], ",", 
   RowBox[{"-", 
    FractionBox["\[Gamma]", 
     RowBox[{"12", "+", 
      RowBox[{"16", " ", 
       SuperscriptBox["\[Gamma]", "2"]}]}]]}], ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{
  3.7061827093307*^9, 3.7061828137164173`*^9, {3.7061866590032473`*^9, 
   3.706186687543323*^9}, 3.706188111151572*^9, 3.706198818542025*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Image", " ", "miroir", " ", "des", " ", "points", " ", "2"}], 
    ",", " ", 
    RowBox[{
     RowBox[{"3", " ", "et", " ", "4"}], " ", ":", " ", 
     RowBox[{"Maclage", " ", "\[AGrave]", " ", "droite"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"rn2", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"r2", "-", 
      RowBox[{"2", "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"r2", "-", "rP"}], ")"}], ".", "nPy"}], ")"}], "*", 
       "nPy"}]}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"rn3", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"r3", "-", 
      RowBox[{"2", "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"r3", "-", "rP"}], ")"}], ".", "nPy"}], ")"}], "*", 
       "nPy"}]}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"rn4", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"r4", "-", 
      RowBox[{"2", "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"r4", "-", "rP"}], ")"}], ".", "nPy"}], ")"}], "*", 
       "nPy"}]}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.7061819916282787`*^9, 3.706182031797681*^9}, {
   3.706198861483595*^9, 3.70619886788588*^9}, 3.706198909943211*^9, {
   3.706198946027274*^9, 3.706198950768632*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox[
    RowBox[{
     RowBox[{"-", "9"}], "+", 
     RowBox[{"14", " ", 
      SuperscriptBox["\[Gamma]", "2"]}]}], 
    RowBox[{"2", " ", 
     SqrtBox["3"], " ", 
     RowBox[{"(", 
      RowBox[{"3", "+", 
       RowBox[{"4", " ", 
        SuperscriptBox["\[Gamma]", "2"]}]}], ")"}]}]], ",", 
   RowBox[{"-", 
    FractionBox[
     RowBox[{"13", " ", "\[Gamma]"}], 
     RowBox[{"6", "+", 
      RowBox[{"8", " ", 
       SuperscriptBox["\[Gamma]", "2"]}]}]]}], ",", 
   RowBox[{"-", 
    FractionBox["1", "2"]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.706182032949809*^9, 3.706182048993834*^9}, 
   3.706186690305273*^9, 3.706188116529223*^9, 3.706198832881719*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox[
    RowBox[{
     RowBox[{"-", "9"}], "+", 
     RowBox[{"14", " ", 
      SuperscriptBox["\[Gamma]", "2"]}]}], 
    RowBox[{"2", " ", 
     SqrtBox["3"], " ", 
     RowBox[{"(", 
      RowBox[{"3", "+", 
       RowBox[{"4", " ", 
        SuperscriptBox["\[Gamma]", "2"]}]}], ")"}]}]], ",", 
   RowBox[{"-", 
    FractionBox[
     RowBox[{"13", " ", "\[Gamma]"}], 
     RowBox[{"6", "+", 
      RowBox[{"8", " ", 
       SuperscriptBox["\[Gamma]", "2"]}]}]]}], ",", 
   FractionBox["1", "2"]}], "}"}]], "Output",
 CellChangeTimes->{{3.706182032949809*^9, 3.706182048993834*^9}, 
   3.706186690305273*^9, 3.706188116529223*^9, 3.706198832883844*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox[
    RowBox[{
     RowBox[{"-", "3"}], "+", 
     RowBox[{"11", " ", 
      SuperscriptBox["\[Gamma]", "2"]}]}], 
    RowBox[{
     SqrtBox["3"], " ", 
     RowBox[{"(", 
      RowBox[{"3", "+", 
       RowBox[{"4", " ", 
        SuperscriptBox["\[Gamma]", "2"]}]}], ")"}]}]], ",", 
   FractionBox[
    RowBox[{"2", " ", "\[Gamma]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "3"}], "+", 
       SuperscriptBox["\[Gamma]", "2"]}], ")"}]}], 
    RowBox[{"3", "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["\[Gamma]", "2"]}]}]], ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.706182032949809*^9, 3.706182048993834*^9}, 
   3.706186690305273*^9, 3.706188116529223*^9, 3.7061988328867273`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Image", " ", "miroir", " ", "des", " ", "points", " ", "7"}], 
    ",", " ", "8", ",", " ", 
    RowBox[{
     RowBox[{"9", " ", "et", " ", "10"}], " ", ":", " ", 
     RowBox[{"Maclage", " ", "\[AGrave]", " ", "gauche"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"rn7", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"r7", "-", 
      RowBox[{"2", "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"r7", "-", "rP"}], ")"}], ".", "nPy"}], ")"}], "*", 
       "nPy"}]}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"rn8", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"r8", "-", 
      RowBox[{"2", "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"r8", "-", "rP"}], ")"}], ".", "nPy"}], ")"}], "*", 
       "nPy"}]}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"rn9", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"r9", "-", 
      RowBox[{"2", "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"r9", "-", "rP"}], ")"}], ".", "nPy"}], ")"}], "*", 
       "nPy"}]}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"rn10", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"r10", "-", 
      RowBox[{"2", "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"r10", "-", "rP"}], ")"}], ".", "nPy"}], ")"}], "*", 
       "nPy"}]}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.7061819916282787`*^9, 3.706182031797681*^9}, {
  3.706198861483595*^9, 3.70619886788588*^9}, {3.706198909943211*^9, 
  3.706199007546661*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox[
    RowBox[{"9", "-", 
     RowBox[{"10", " ", 
      SuperscriptBox["\[Gamma]", "2"]}]}], 
    RowBox[{"2", " ", 
     SqrtBox["3"], " ", 
     RowBox[{"(", 
      RowBox[{"3", "+", 
       RowBox[{"4", " ", 
        SuperscriptBox["\[Gamma]", "2"]}]}], ")"}]}]], ",", 
   FractionBox[
    RowBox[{"11", " ", "\[Gamma]"}], 
    RowBox[{"6", "+", 
     RowBox[{"8", " ", 
      SuperscriptBox["\[Gamma]", "2"]}]}]], ",", 
   RowBox[{"-", 
    FractionBox["1", "2"]}]}], "}"}]], "Output",
 CellChangeTimes->{3.7061990081870127`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox[
    RowBox[{"9", "-", 
     RowBox[{"10", " ", 
      SuperscriptBox["\[Gamma]", "2"]}]}], 
    RowBox[{"2", " ", 
     SqrtBox["3"], " ", 
     RowBox[{"(", 
      RowBox[{"3", "+", 
       RowBox[{"4", " ", 
        SuperscriptBox["\[Gamma]", "2"]}]}], ")"}]}]], ",", 
   FractionBox[
    RowBox[{"11", " ", "\[Gamma]"}], 
    RowBox[{"6", "+", 
     RowBox[{"8", " ", 
      SuperscriptBox["\[Gamma]", "2"]}]}]], ",", 
   FractionBox["1", "2"]}], "}"}]], "Output",
 CellChangeTimes->{3.7061990081963177`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox[
    RowBox[{"3", "-", 
     RowBox[{"14", " ", 
      SuperscriptBox["\[Gamma]", "2"]}]}], 
    RowBox[{"2", " ", 
     SqrtBox["3"], " ", 
     RowBox[{"(", 
      RowBox[{"3", "+", 
       RowBox[{"4", " ", 
        SuperscriptBox["\[Gamma]", "2"]}]}], ")"}]}]], ",", 
   FractionBox[
    RowBox[{
     RowBox[{"3", " ", "\[Gamma]"}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox["\[Gamma]", "3"]}]}], 
    RowBox[{"3", "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["\[Gamma]", "2"]}]}]], ",", 
   RowBox[{"-", 
    FractionBox["1", "2"]}]}], "}"}]], "Output",
 CellChangeTimes->{3.7061990082019444`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox[
    RowBox[{"3", "-", 
     RowBox[{"14", " ", 
      SuperscriptBox["\[Gamma]", "2"]}]}], 
    RowBox[{"2", " ", 
     SqrtBox["3"], " ", 
     RowBox[{"(", 
      RowBox[{"3", "+", 
       RowBox[{"4", " ", 
        SuperscriptBox["\[Gamma]", "2"]}]}], ")"}]}]], ",", 
   FractionBox[
    RowBox[{
     RowBox[{"3", " ", "\[Gamma]"}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox["\[Gamma]", "3"]}]}], 
    RowBox[{"3", "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["\[Gamma]", "2"]}]}]], ",", 
   FractionBox["1", "2"]}], "}"}]], "Output",
 CellChangeTimes->{3.70619900821171*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Simplify", "[", 
  RowBox[{"Norm", "[", 
   RowBox[{
    RowBox[{"rn2", "-", "rn0"}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"8", "/", "3"}], "]"}]}]}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", 
  RowBox[{"Norm", "[", 
   RowBox[{
    RowBox[{"r2", "-", "rn0"}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"8", "/", "3"}], "]"}]}]}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", 
  RowBox[{"Norm", "[", 
   RowBox[{
    RowBox[{"rn3", "-", "rn0"}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"8", "/", "3"}], "]"}]}]}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", 
  RowBox[{"Norm", "[", 
   RowBox[{
    RowBox[{"r3", "-", "rn0"}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"8", "/", "3"}], "]"}]}]}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", 
  RowBox[{"Norm", "[", 
   RowBox[{
    RowBox[{"rn4", "-", "rn0"}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"8", "/", "3"}], "]"}]}]}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", 
  RowBox[{"Norm", "[", 
   RowBox[{
    RowBox[{"r4", "-", "rn0"}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"8", "/", "3"}], "]"}]}]}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", 
  RowBox[{"Norm", "[", 
   RowBox[{
    RowBox[{"rn1", "-", "rn0"}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"8", "/", "3"}], "]"}]}]}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", 
  RowBox[{"Norm", "[", 
   RowBox[{
    RowBox[{"rn5", "-", "rn0"}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"8", "/", "3"}], "]"}]}]}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", 
  RowBox[{"Norm", "[", 
   RowBox[{
    RowBox[{"rn6", "-", "rn0"}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"8", "/", "3"}], "]"}]}]}], "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.706120225705247*^9, 3.706120310137103*^9}, {
  3.7061819004523983`*^9, 3.706181940480201*^9}, {3.706182086351272*^9, 
  3.706182119791985*^9}, {3.706182832080483*^9, 3.7061828342117558`*^9}, {
  3.706182915113316*^9, 3.706182929308927*^9}, {3.706182970904477*^9, 
  3.7061830379213123`*^9}}],

Cell[BoxData[
 SqrtBox[
  FractionBox["271", "246"]]], "Output",
 CellChangeTimes->{{3.7061820890406637`*^9, 3.70618212046955*^9}, 
   3.706182836140308*^9, 3.706182930065377*^9, {3.706182975484333*^9, 
   3.706182993298964*^9}, 3.7061830384421463`*^9, 3.706186692419767*^9, 
   3.706188119660865*^9}],

Cell[BoxData[
 SqrtBox[
  FractionBox["271", "246"]]], "Output",
 CellChangeTimes->{{3.7061820890406637`*^9, 3.70618212046955*^9}, 
   3.706182836140308*^9, 3.706182930065377*^9, {3.706182975484333*^9, 
   3.706182993298964*^9}, 3.7061830384421463`*^9, 3.706186692419767*^9, 
   3.706188119661839*^9}],

Cell[BoxData[
 SqrtBox[
  FractionBox["271", "246"]]], "Output",
 CellChangeTimes->{{3.7061820890406637`*^9, 3.70618212046955*^9}, 
   3.706182836140308*^9, 3.706182930065377*^9, {3.706182975484333*^9, 
   3.706182993298964*^9}, 3.7061830384421463`*^9, 3.706186692419767*^9, 
   3.706188119662691*^9}],

Cell[BoxData[
 SqrtBox[
  FractionBox["271", "246"]]], "Output",
 CellChangeTimes->{{3.7061820890406637`*^9, 3.70618212046955*^9}, 
   3.706182836140308*^9, 3.706182930065377*^9, {3.706182975484333*^9, 
   3.706182993298964*^9}, 3.7061830384421463`*^9, 3.706186692419767*^9, 
   3.706188119663507*^9}],

Cell[BoxData[
 RowBox[{"5", " ", 
  SqrtBox[
   FractionBox["11", "246"]]}]], "Output",
 CellChangeTimes->{{3.7061820890406637`*^9, 3.70618212046955*^9}, 
   3.706182836140308*^9, 3.706182930065377*^9, {3.706182975484333*^9, 
   3.706182993298964*^9}, 3.7061830384421463`*^9, 3.706186692419767*^9, 
   3.706188119664426*^9}],

Cell[BoxData[
 RowBox[{"5", " ", 
  SqrtBox[
   FractionBox["11", "246"]]}]], "Output",
 CellChangeTimes->{{3.7061820890406637`*^9, 3.70618212046955*^9}, 
   3.706182836140308*^9, 3.706182930065377*^9, {3.706182975484333*^9, 
   3.706182993298964*^9}, 3.7061830384421463`*^9, 3.706186692419767*^9, 
   3.706188119665357*^9}],

Cell[BoxData[
 FractionBox["11", 
  SqrtBox["123"]]], "Output",
 CellChangeTimes->{{3.7061820890406637`*^9, 3.70618212046955*^9}, 
   3.706182836140308*^9, 3.706182930065377*^9, {3.706182975484333*^9, 
   3.706182993298964*^9}, 3.7061830384421463`*^9, 3.706186692419767*^9, 
   3.706188119685274*^9}],

Cell[BoxData[
 FractionBox["11", 
  SqrtBox["123"]]], "Output",
 CellChangeTimes->{{3.7061820890406637`*^9, 3.70618212046955*^9}, 
   3.706182836140308*^9, 3.706182930065377*^9, {3.706182975484333*^9, 
   3.706182993298964*^9}, 3.7061830384421463`*^9, 3.706186692419767*^9, 
   3.7061881196892014`*^9}],

Cell[BoxData[
 FractionBox["11", 
  SqrtBox["123"]]], "Output",
 CellChangeTimes->{{3.7061820890406637`*^9, 3.70618212046955*^9}, 
   3.706182836140308*^9, 3.706182930065377*^9, {3.706182975484333*^9, 
   3.706182993298964*^9}, 3.7061830384421463`*^9, 3.706186692419767*^9, 
   3.70618811969013*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**",
     "**", "**", "**", "**", "**"}], "*****)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Maclage", " ", "\[AGrave]", " ", "droite"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"FortranForm", "[", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"Rot", ".", 
      RowBox[{"(", 
       RowBox[{"rn1", "-", "rn0"}], ")"}]}], "/.", 
     RowBox[{"\[Gamma]", "\[Rule]", "coa"}]}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.7061833971283817`*^9, 3.706183442837554*^9}, {
  3.7061834756716423`*^9, 3.706183597458961*^9}, {3.706184164015567*^9, 
  3.706184171295453*^9}, {3.706199070697338*^9, 3.706199086254513*^9}}],

Cell["\<\
List(0,-((Sqrt(3)*(1 + coa**2))/(3 + 4*coa**2)),(-2*coa*(1 + coa**2))/(3 + \
4*coa**2))\
\>", "Output",
 CellChangeTimes->{
  3.706183410334723*^9, 3.706183444208097*^9, {3.706183568408547*^9, 
   3.7061835985818768`*^9}, 3.706184172845511*^9, 3.706188124927506*^9, 
   3.706199086602116*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FortranForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Rot", ".", 
     RowBox[{"(", 
      RowBox[{"r2", "-", "rn0"}], ")"}]}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", "coa"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.706183607096665*^9, 3.70618360799788*^9}, {
  3.7061841810522127`*^9, 3.7061841868158283`*^9}}],

Cell["\<\
List(-0.5,-(9 + 13*coa**2)/(2.*Sqrt(3)*(3 + 4*coa**2)),coa/(12 + 16*coa**2))\
\>", "Output",
 CellChangeTimes->{{3.706183602175645*^9, 3.7061836091751213`*^9}, 
   3.706184187667919*^9, 3.706188131281022*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FortranForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Rot", ".", 
     RowBox[{"(", 
      RowBox[{"r3", "-", "rn0"}], ")"}]}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", "coa"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.7061836214969597`*^9, 3.7061836226522417`*^9}, {
  3.706184210563745*^9, 3.706184215735083*^9}}],

Cell["\<\
List(0.5,-(9 + 13*coa**2)/(2.*Sqrt(3)*(3 + 4*coa**2)),coa/(12 + 16*coa**2))\
\>", "Output",
 CellChangeTimes->{3.7061836238357477`*^9, 3.706184217504691*^9, 
  3.706188133153797*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FortranForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Rot", ".", 
     RowBox[{"(", 
      RowBox[{"r4", "-", "rn0"}], ")"}]}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", "coa"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.706183629513908*^9, 3.7061836305663767`*^9}, {
  3.706184221242012*^9, 3.706184225415557*^9}}],

Cell["\<\
List(0,-((Sqrt(3)*(2 + 3*coa**2))/(6 + 8*coa**2)),coa*(0.5 + 1/(12 + \
16*coa**2)))\
\>", "Output",
 CellChangeTimes->{3.706183631592216*^9, 3.706184226408133*^9, 
  3.706188134753186*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FortranForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Rot", ".", 
     RowBox[{"(", 
      RowBox[{"rn5", "-", "rn0"}], ")"}]}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", "coa"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.706183636419156*^9, 3.7061836371632347`*^9}, {
  3.7061842303597383`*^9, 3.706184234809742*^9}}],

Cell["\<\
List(-0.5,(Sqrt(3)*(1 + 2*coa**2))/(6 + 8*coa**2),(coa + 2*coa**3)/(3 + \
4*coa**2))\
\>", "Output",
 CellChangeTimes->{3.7061836380899687`*^9, 3.706184235788807*^9, 
  3.706188136182447*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FortranForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Rot", ".", 
     RowBox[{"(", 
      RowBox[{"rn6", "-", "rn0"}], ")"}]}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", "coa"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.706183643338243*^9, 3.706183643846075*^9}, {
  3.7061842411333323`*^9, 3.706184246462257*^9}}],

Cell["\<\
List(0.5,(Sqrt(3)*(1 + 2*coa**2))/(6 + 8*coa**2),(coa + 2*coa**3)/(3 + \
4*coa**2))\
\>", "Output",
 CellChangeTimes->{3.7061836446979113`*^9, 3.706184247623193*^9, 
  3.706188137379854*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FortranForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Rot", ".", 
     RowBox[{"(", 
      RowBox[{"rn2", "-", "rn0"}], ")"}]}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", "coa"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.706183649658976*^9, 3.706183650525847*^9}, {
  3.7061842519208593`*^9, 3.7061842564851933`*^9}}],

Cell["\<\
List(-0.5,(-9 + 13*coa**2)/(2.*Sqrt(3)*(3 + 4*coa**2)),(-25*coa)/(12 + \
16*coa**2))\
\>", "Output",
 CellChangeTimes->{3.706183651366146*^9, 3.706184257472087*^9, 
  3.706188138775495*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FortranForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Rot", ".", 
     RowBox[{"(", 
      RowBox[{"rn3", "-", "rn0"}], ")"}]}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", "coa"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.706183655912218*^9, 3.70618365636516*^9}, {
  3.706184260491683*^9, 3.706184264620235*^9}}],

Cell["\<\
List(0.5,(-9 + 13*coa**2)/(2.*Sqrt(3)*(3 + 4*coa**2)),(-25*coa)/(12 + \
16*coa**2))\
\>", "Output",
 CellChangeTimes->{3.706183657267839*^9, 3.7061842656093473`*^9, 
  3.706188140058775*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FortranForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Rot", ".", 
     RowBox[{"(", 
      RowBox[{"rn4", "-", "rn0"}], ")"}]}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", "coa"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.7061836616179543`*^9, 3.706183664248014*^9}, {
  3.706184269284081*^9, 3.70618427421691*^9}}],

Cell["\<\
List(0,(Sqrt(3)*(-2 + 7*coa**2))/(6 + 8*coa**2),(coa*(-23 + 8*coa**2))/(4.*(3 \
+ 4*coa**2)))\
\>", "Output",
 CellChangeTimes->{3.706183664818824*^9, 3.706184275354146*^9, 
  3.706188141288374*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FortranForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Rot", ".", 
     RowBox[{"(", 
      RowBox[{"rn11", "-", "rn0"}], ")"}]}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", "coa"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.706183669364518*^9, 3.706183670034895*^9}, {
  3.70618427896264*^9, 3.706184284521994*^9}}],

Cell["List(-1,0,0)", "Output",
 CellChangeTimes->{3.706183671177188*^9, 3.706184285675577*^9, 
  3.706188142466433*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FortranForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Rot", ".", 
     RowBox[{"(", 
      RowBox[{"rn12", "-", "rn0"}], ")"}]}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", "coa"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.706184289457205*^9, 3.706184295080517*^9}}],

Cell["List(1,0,0)", "Output",
 CellChangeTimes->{3.706183674084503*^9, 3.706184296039352*^9, 
  3.706188143667254*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**",
     "**", "**", "**", "**", "**"}], "*****)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Maclage", " ", "\[AGrave]", " ", "gauche"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"FortranForm", "[", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"Rot", ".", 
      RowBox[{"(", 
       RowBox[{"rn1", "-", "rn0"}], ")"}]}], "/.", 
     RowBox[{"\[Gamma]", "\[Rule]", "coa"}]}], "]"}], "]"}]}]], "Input"],

Cell["\<\
List(0,-((Sqrt(3)*(1 + coa**2))/(3 + 4*coa**2)),(-2*coa*(1 + coa**2))/(3 + \
4*coa**2))\
\>", "Output",
 CellChangeTimes->{3.7061990926934032`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FortranForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Rot", ".", 
     RowBox[{"(", 
      RowBox[{"rn9", "-", "rn0"}], ")"}]}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", "coa"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.706199098611054*^9, 3.706199122103582*^9}}],

Cell["\<\
List(-0.5,(Sqrt(3)*(1 - 5*coa**2))/(6 + 8*coa**2),(13*coa - 8*coa**3)/(12 + \
16*coa**2))\
\>", "Output",
 CellChangeTimes->{3.706199123377736*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FortranForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Rot", ".", 
     RowBox[{"(", 
      RowBox[{"rn10", "-", "rn0"}], ")"}]}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", "coa"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.706199138806357*^9, 3.7061991391542807`*^9}}],

Cell["\<\
List(0.5,(Sqrt(3)*(1 - 5*coa**2))/(6 + 8*coa**2),(13*coa - 8*coa**3)/(12 + \
16*coa**2))\
\>", "Output",
 CellChangeTimes->{3.706199144617033*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FortranForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Rot", ".", 
     RowBox[{"(", 
      RowBox[{"rn7", "-", "rn0"}], ")"}]}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", "coa"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{3.706199155011074*^9}],

Cell["\<\
List(-0.5,(9 - 11*coa**2)/(2.*Sqrt(3)*(3 + 4*coa**2)),(23*coa)/(12 + \
16*coa**2))\
\>", "Output",
 CellChangeTimes->{3.7061991560300217`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FortranForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Rot", ".", 
     RowBox[{"(", 
      RowBox[{"rn8", "-", "rn0"}], ")"}]}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", "coa"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{3.706199160277817*^9}],

Cell["\<\
List(0.5,(9 - 11*coa**2)/(2.*Sqrt(3)*(3 + 4*coa**2)),(23*coa)/(12 + \
16*coa**2))\
\>", "Output",
 CellChangeTimes->{3.706199161525128*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FortranForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Rot", ".", 
     RowBox[{"(", 
      RowBox[{"rn5", "-", "rn0"}], ")"}]}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", "coa"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{3.706199171161119*^9}],

Cell["\<\
List(-0.5,(Sqrt(3)*(1 + 2*coa**2))/(6 + 8*coa**2),(coa + 2*coa**3)/(3 + \
4*coa**2))\
\>", "Output",
 CellChangeTimes->{{3.706199180893917*^9, 3.706199190764819*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FortranForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Rot", ".", 
     RowBox[{"(", 
      RowBox[{"rn6", "-", "rn0"}], ")"}]}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", "coa"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{3.706199198421261*^9}],

Cell["\<\
List(0.5,(Sqrt(3)*(1 + 2*coa**2))/(6 + 8*coa**2),(coa + 2*coa**3)/(3 + \
4*coa**2))\
\>", "Output",
 CellChangeTimes->{3.706199199152623*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FortranForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Rot", ".", 
     RowBox[{"(", 
      RowBox[{"r7", "-", "rn0"}], ")"}]}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", "coa"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{3.706199210616851*^9}],

Cell["\<\
List(-0.5,(9 + 11*coa**2)/(2.*Sqrt(3)*(3 + 4*coa**2)),coa/(12 + 16*coa**2))\
\>", "Output",
 CellChangeTimes->{3.706199211486062*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FortranForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Rot", ".", 
     RowBox[{"(", 
      RowBox[{"r8", "-", "rn0"}], ")"}]}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", "coa"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.70619921593878*^9, 3.706199218068282*^9}}],

Cell["\<\
List(0.5,(9 + 11*coa**2)/(2.*Sqrt(3)*(3 + 4*coa**2)),coa/(12 + 16*coa**2))\
\>", "Output",
 CellChangeTimes->{3.7061992193775387`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FortranForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Rot", ".", 
     RowBox[{"(", 
      RowBox[{"r9", "-", "rn0"}], ")"}]}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", "coa"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{3.7061992239031267`*^9}],

Cell["\<\
List(-0.5,(Sqrt(3)*(1 + coa**2))/(6 + 8*coa**2),coa*(-0.5 + 1/(12 + \
16*coa**2)))\
\>", "Output",
 CellChangeTimes->{3.7061992250931187`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FortranForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Rot", ".", 
     RowBox[{"(", 
      RowBox[{"r10", "-", "rn0"}], ")"}]}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", "coa"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.7061992306285677`*^9, 3.706199231009061*^9}}],

Cell["\<\
List(0.5,(Sqrt(3)*(1 + coa**2))/(6 + 8*coa**2),coa*(-0.5 + 1/(12 + \
16*coa**2)))\
\>", "Output",
 CellChangeTimes->{3.706199232072361*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FortranForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Rot", ".", 
     RowBox[{"(", 
      RowBox[{"rn11", "-", "rn0"}], ")"}]}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", "coa"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.706199241922462*^9, 3.706199242997162*^9}}],

Cell["List(-1,0,0)", "Output",
 CellChangeTimes->{3.706199243830056*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FortranForm", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Rot", ".", 
     RowBox[{"(", 
      RowBox[{"rn12", "-", "rn0"}], ")"}]}], "/.", 
    RowBox[{"\[Gamma]", "\[Rule]", "coa"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.7061992497379*^9, 3.706199250053945*^9}}],

Cell["List(1,0,0)", "Output",
 CellChangeTimes->{3.70619925071317*^9}]
}, Open  ]]
},
WindowSize->{1920, 1015},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.25, 1.25 Inherited],
FrontEndVersion->"8.0 for Linux x86 (64-bit) (February 23, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 859, 26, 83, "Input"],
Cell[1441, 50, 606, 18, 75, "Output"],
Cell[2050, 70, 374, 9, 61, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2461, 84, 641, 18, 60, "Input"],
Cell[3105, 104, 781, 21, 89, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3923, 130, 3280, 100, 336, "Input"],
Cell[7206, 232, 272, 6, 36, "Output"],
Cell[7481, 240, 449, 14, 61, "Output"],
Cell[7933, 256, 429, 13, 61, "Output"],
Cell[8365, 271, 371, 11, 60, "Output"],
Cell[8739, 284, 351, 10, 60, "Output"],
Cell[9093, 296, 427, 13, 61, "Output"],
Cell[9523, 311, 407, 12, 61, "Output"],
Cell[9933, 325, 337, 9, 61, "Output"],
Cell[10273, 336, 350, 10, 60, "Output"],
Cell[10626, 348, 332, 9, 60, "Output"],
Cell[10961, 359, 359, 10, 61, "Output"],
Cell[11323, 371, 293, 7, 36, "Output"],
Cell[11619, 380, 272, 6, 36, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11928, 391, 1706, 50, 129, "Input"],
Cell[13637, 443, 826, 25, 69, "Output"],
Cell[14466, 470, 806, 24, 69, "Output"],
Cell[15275, 496, 913, 28, 67, "Output"],
Cell[16191, 526, 896, 27, 67, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[17124, 558, 1229, 37, 106, "Input"],
Cell[18356, 597, 585, 20, 69, "Output"],
Cell[18944, 619, 567, 19, 69, "Output"],
Cell[19514, 640, 617, 21, 67, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[20168, 666, 2043, 63, 175, "Input"],
Cell[22214, 731, 553, 17, 69, "Output"],
Cell[22770, 750, 890, 29, 72, "Output"],
Cell[23663, 781, 869, 28, 72, "Output"],
Cell[24535, 811, 703, 22, 69, "Output"],
Cell[25241, 835, 570, 18, 69, "Output"],
Cell[25814, 855, 551, 17, 69, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[26402, 877, 3660, 109, 336, "Input"],
Cell[30065, 988, 154, 4, 61, "Output"],
Cell[30222, 994, 152, 4, 61, "Output"],
Cell[30377, 1000, 153, 4, 69, "Output"],
Cell[30533, 1006, 153, 4, 69, "Output"],
Cell[30689, 1012, 153, 4, 69, "Output"],
Cell[30845, 1018, 153, 4, 69, "Output"],
Cell[31001, 1024, 152, 4, 61, "Output"],
Cell[31156, 1030, 153, 4, 69, "Output"],
Cell[31312, 1036, 151, 4, 69, "Output"],
Cell[31466, 1042, 153, 4, 69, "Output"],
Cell[31622, 1048, 155, 4, 69, "Output"],
Cell[31780, 1054, 119, 2, 36, "Output"],
Cell[31902, 1058, 117, 2, 36, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[32056, 1065, 454, 12, 60, "Input"],
Cell[32513, 1079, 206, 5, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[32756, 1089, 290, 8, 36, "Input"],
Cell[33049, 1099, 179, 4, 36, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[33265, 1108, 289, 8, 36, "Input"],
Cell[33557, 1118, 168, 3, 36, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[33762, 1126, 313, 8, 36, "Input"],
Cell[34078, 1136, 165, 3, 36, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[34280, 1144, 289, 8, 36, "Input"],
Cell[34572, 1154, 179, 4, 36, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[34788, 1163, 291, 8, 36, "Input"],
Cell[35082, 1173, 178, 4, 36, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[35297, 1182, 314, 8, 36, "Input"],
Cell[35614, 1192, 173, 4, 36, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[35824, 1201, 316, 8, 36, "Input"],
Cell[36143, 1211, 190, 4, 36, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[36370, 1220, 292, 8, 36, "Input"],
Cell[36665, 1230, 189, 4, 36, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[36891, 1239, 314, 8, 36, "Input"],
Cell[37208, 1249, 174, 4, 36, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[37419, 1258, 318, 8, 36, "Input"],
Cell[37740, 1268, 173, 4, 36, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[37950, 1277, 291, 8, 36, "Input"],
Cell[38244, 1287, 98, 1, 36, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[38379, 1293, 291, 8, 36, "Input"],
Cell[38673, 1303, 91, 1, 36, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[38801, 1309, 634, 16, 83, "Input"],
Cell[39438, 1327, 182, 4, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[39657, 1336, 290, 8, 36, "Input"],
Cell[39950, 1346, 159, 4, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[40146, 1355, 317, 8, 36, "Input"],
Cell[40466, 1365, 158, 4, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[40661, 1374, 314, 8, 36, "Input"],
Cell[40978, 1384, 150, 4, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[41165, 1393, 292, 8, 36, "Input"],
Cell[41460, 1403, 151, 4, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[41648, 1412, 314, 8, 36, "Input"],
Cell[41965, 1422, 151, 4, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[42153, 1431, 313, 8, 36, "Input"],
Cell[42469, 1441, 145, 3, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[42651, 1449, 313, 8, 36, "Input"],
Cell[42967, 1459, 144, 3, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[43148, 1467, 314, 8, 36, "Input"],
Cell[43465, 1477, 154, 4, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[43656, 1486, 293, 8, 36, "Input"],
Cell[43952, 1496, 74, 1, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[44063, 1502, 289, 8, 36, "Input"],
Cell[44355, 1512, 71, 1, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[44463, 1518, 3416, 101, 359, "Input"],
Cell[47882, 1621, 285, 5, 36, "Output"],
Cell[48170, 1628, 389, 10, 61, "Output"],
Cell[48562, 1640, 384, 10, 60, "Output"],
Cell[48949, 1652, 362, 9, 60, "Output"],
Cell[49314, 1663, 371, 9, 61, "Output"],
Cell[49688, 1674, 418, 11, 61, "Output"],
Cell[50109, 1687, 398, 10, 61, "Output"],
Cell[50510, 1699, 361, 9, 60, "Output"],
Cell[50874, 1710, 341, 8, 60, "Output"],
Cell[51218, 1720, 436, 12, 61, "Output"],
Cell[51657, 1734, 416, 11, 61, "Output"],
Cell[52076, 1747, 302, 6, 36, "Output"],
Cell[52381, 1755, 283, 5, 36, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[52701, 1765, 2146, 65, 175, "Input"],
Cell[54850, 1832, 599, 18, 69, "Output"],
Cell[55452, 1852, 810, 26, 69, "Output"],
Cell[56265, 1880, 799, 25, 69, "Output"],
Cell[57067, 1907, 779, 24, 69, "Output"],
Cell[57849, 1933, 620, 19, 69, "Output"],
Cell[58472, 1954, 599, 18, 69, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[59108, 1977, 1372, 40, 106, "Input"],
Cell[60483, 2019, 724, 23, 69, "Output"],
Cell[61210, 2044, 704, 22, 69, "Output"],
Cell[61917, 2068, 771, 24, 72, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[62725, 2097, 1654, 49, 129, "Input"],
Cell[64382, 2148, 587, 20, 69, "Output"],
Cell[64972, 2170, 567, 19, 69, "Output"],
Cell[65542, 2191, 673, 23, 69, "Output"],
Cell[66218, 2216, 650, 22, 69, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[66905, 2243, 2526, 68, 221, "Input"],
Cell[69434, 2313, 301, 6, 69, "Output"],
Cell[69738, 2321, 301, 6, 69, "Output"],
Cell[70042, 2329, 301, 6, 69, "Output"],
Cell[70346, 2337, 301, 6, 69, "Output"],
Cell[70650, 2345, 324, 7, 69, "Output"],
Cell[70977, 2354, 324, 7, 69, "Output"],
Cell[71304, 2363, 300, 6, 61, "Output"],
Cell[71607, 2371, 302, 6, 61, "Output"],
Cell[71912, 2379, 299, 6, 61, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[72248, 2390, 783, 18, 83, "Input"],
Cell[73034, 2410, 302, 7, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[73373, 2422, 365, 9, 36, "Input"],
Cell[73741, 2433, 218, 4, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[73996, 2442, 366, 9, 36, "Input"],
Cell[74365, 2453, 192, 4, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[74594, 2462, 364, 9, 36, "Input"],
Cell[74961, 2473, 198, 5, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[75196, 2483, 367, 9, 36, "Input"],
Cell[75566, 2494, 201, 5, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[75804, 2504, 365, 9, 36, "Input"],
Cell[76172, 2515, 200, 5, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[76409, 2525, 367, 9, 36, "Input"],
Cell[76779, 2536, 199, 5, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[77015, 2546, 362, 9, 36, "Input"],
Cell[77380, 2557, 200, 5, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[77617, 2567, 364, 9, 36, "Input"],
Cell[77984, 2578, 208, 5, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[78229, 2588, 363, 9, 36, "Input"],
Cell[78595, 2599, 119, 2, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[78751, 2606, 315, 8, 36, "Input"],
Cell[79069, 2616, 118, 2, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[79224, 2623, 569, 15, 83, "Input"],
Cell[79796, 2640, 157, 4, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[79990, 2649, 314, 8, 36, "Input"],
Cell[80307, 2659, 157, 4, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[80501, 2668, 317, 8, 36, "Input"],
Cell[80821, 2678, 156, 4, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[81014, 2687, 290, 8, 36, "Input"],
Cell[81307, 2697, 152, 4, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[81496, 2706, 290, 8, 36, "Input"],
Cell[81789, 2716, 149, 4, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[81975, 2725, 290, 8, 36, "Input"],
Cell[82268, 2735, 176, 4, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[82481, 2744, 290, 8, 36, "Input"],
Cell[82774, 2754, 151, 4, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[82962, 2763, 289, 8, 36, "Input"],
Cell[83254, 2773, 143, 3, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[83434, 2781, 312, 8, 36, "Input"],
Cell[83749, 2791, 144, 3, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[83930, 2799, 291, 8, 36, "Input"],
Cell[84224, 2809, 152, 4, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[84413, 2818, 316, 8, 36, "Input"],
Cell[84732, 2828, 149, 4, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[84918, 2837, 315, 8, 36, "Input"],
Cell[85236, 2847, 72, 1, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[85345, 2853, 313, 8, 36, "Input"],
Cell[85661, 2863, 70, 1, 54, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
